%global npm_name history

Name: nodejs-history
Version: 4.9.0
Release: 1%{?dist}
Summary: Manage session history with JavaScript
License: MIT
Group: Development/Libraries
URL: https://github.com/ReactTraining/history#readme
Source0: https://registry.npmjs.org/history/-/history-4.9.0.tgz
Source1: https://registry.npmjs.org/tiny-invariant/-/tiny-invariant-1.0.4.tgz
Source2: https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz
Source3: https://registry.npmjs.org/tiny-warning/-/tiny-warning-1.0.2.tgz
Source4: https://registry.npmjs.org/@babel/runtime/-/@babel/runtime-7.4.3.tgz
Source5: https://registry.npmjs.org/value-equal/-/value-equal-0.4.0.tgz
Source6: https://registry.npmjs.org/resolve-pathname/-/resolve-pathname-2.2.0.tgz
Source7: https://registry.npmjs.org/regenerator-runtime/-/regenerator-runtime-0.13.2.tgz
Source8: https://registry.npmjs.org/js-tokens/-/js-tokens-4.0.0.tgz
Source9: %{name}-%{version}-registry.npmjs.org.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: npm(%{npm_name}) = %{version}
Provides: bundled(npm(@babel/runtime)) = 7.4.3
Provides: bundled(npm(history)) = 4.9.0
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(regenerator-runtime)) = 0.13.2
Provides: bundled(npm(resolve-pathname)) = 2.2.0
Provides: bundled(npm(tiny-invariant)) = 1.0.4
Provides: bundled(npm(tiny-warning)) = 1.0.2
Provides: bundled(npm(value-equal)) = 0.4.0
AutoReq: no
AutoProv: no

%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%setup -T -q -a 9 -D -n %{npm_cache_dir}

%build
npm install --cache-min Infinity --cache %{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/DOMUtils.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/ExecutionEnvironment.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/LocationUtils.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/PathUtils.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/cjs %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/createBrowserHistory.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/createHashHistory.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/createMemoryHistory.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/createTransitionManager.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/es %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/esm %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/umd %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/warnAboutDeprecatedCJSRequire.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/CHANGES.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Tue Apr 23 2019 Ohad Levy <ohadlevy@gmail.com> 4.9.0-1
- Add nodejs-history generated by npm2rpm using the bundle strategy

